org.apache.tiles.autotag.model

## Class TemplateParameter

- java.lang.Object
- - org.apache.tiles.autotag.model.TemplateParameter

-     public class TemplateParameter
      extends Object

  It represents a parameter in a method in a parsed template class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateParameter(String name, String exportedName, String type, String defaultValue, boolean required, boolean request)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultValue()` Returns the default value, as it will be written in Java code.
    `String` | `getDocumentation()` Returns the documentation for this parameter.
    `String` | `getExportedName()` Returns the exported name, i.e.
    `String` | `getGetterSetterSuffix()` Returns the suffix for getter and setter of the property generated by this parameter.
    `String` | `getName()` Returns the name of the parameter.
    `String` | `getType()` Returns the type of the parameter.
    `boolean` | `isBody()` Indicates that this parameter implements `ModelBody`.
    `boolean` | `isRequest()` Indicates that this parameter implements `Request`.
    `boolean` | `isRequired()` Indicates that this parameter is required.
    `void` | `setDocumentation(String documentation)` Sets the documentation for this parameter.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateParameter

          public TemplateParameter(String name,
                                   String exportedName,
                                   String type,
                                   String defaultValue,
                                   boolean required,
                                   boolean request)

      Constructor.
      Parameters:
        `name` - The name of the parameter.
        `exportedName` - The exported name, i.e. the name of the parameter in created code. Usually helpful if this exported name is a reserved word.
        `type` - The type of the parameter.
        `defaultValue` - The default value, as it will be written in Java code.
        `required` - Indicates that this parameter is required.

  - ### Method Detail

    - #### getDocumentation

          public String getDocumentation()

      Returns the documentation for this parameter.
      Returns:
        The documentation.

    - #### setDocumentation

          public void setDocumentation(String documentation)

      Sets the documentation for this parameter.
      Parameters:
        `documentation` - The documentation.

    - #### getName

          public String getName()

      Returns the name of the parameter.
      Returns:
        The name of the parameter.

    - #### getExportedName

          public String getExportedName()

      Returns the exported name, i.e. the name of the parameter in created code. Usually helpful if this exported name is a reserved word.
      Returns:
        The exported name.

    - #### getType

          public String getType()

      Returns the type of the parameter.
      Returns:
        The type.

    - #### getDefaultValue

          public String getDefaultValue()

      Returns the default value, as it will be written in Java code.
      Returns:
        The default value.

    - #### isRequired

          public boolean isRequired()

      Indicates that this parameter is required.
      Returns:
        `true` if the parameter is required.

    - #### isBody

          public boolean isBody()

      Indicates that this parameter implements `ModelBody`.
      Returns:
        `true` if the parameter is a body.

    - #### isRequest

          public boolean isRequest()

      Indicates that this parameter implements `Request`.
      Returns:
        `true` if the parameter is a request.

    - #### getGetterSetterSuffix

          public String getGetterSetterSuffix()

      Returns the suffix for getter and setter of the property generated by this parameter.
      Returns:
        The getter and setter suffix.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.